%define upstream_name    Test-Unit
%define upstream_version 0.27

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Test::Unit::TestCase - unit testing framework base class
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch
BuildRequires:	perl(Class::Inner)
BuildRequires:	perl(Test::Unit::HarnessUnit)


%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(Experimental::Sample\\)|perl\\(fail_example\\)|perl\\(fail_example_testsuite_setup\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Exporter\\)

%description
Test::Unit::TestCase is the 'workhorse' of the PerlUnit framework.
When writing tests, you generally subclass Test::Unit::TestCase,
write set_up and tear_down functions if you need them, a bunch of
test_* test methods, then do

%prep

%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build OPTIMIZE="%{optflags}"

%check
# make test fails
#make test

%install
%make_install

%files
%doc AUTHORS ChangeLog Changes README doc examples
%{perl_vendorlib}/Test/*.p*
%{perl_vendorlib}/Test/Unit
%{_mandir}/*/*


%changelog
* Tue Jul 02 2024 tv <tv> 0.270.0-1.mga10
+ Revision: 2078811
- update to 0.27

* Tue Nov 01 2022 umeabot <umeabot> 0.250.0-14.mga9
+ Revision: 1901197
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.250.0-13.mga8
+ Revision: 1497537
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.250.0-12.mga7
+ Revision: 1272012
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.250.0-11.mga6
+ Revision: 1034660
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.250.0-10.mga6
+ Revision: 972142
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 0.250.0-9.mga6
+ Revision: 896209
- make it runnable with perl-5.22 (thus fixing other package testsuites)
- add BRs for testsuite

* Mon Oct 20 2014 tv <tv> 0.250.0-8.mga5
+ Revision: 792052
- do not exclude Error module

* Wed Oct 15 2014 umeabot <umeabot> 0.250.0-7.mga5
+ Revision: 749922
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.250.0-6.mga5
+ Revision: 736024
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.250.0-5.mga5
+ Revision: 686563
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.250.0-4.mga4
+ Revision: 515373
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.250.0-3.mga3
+ Revision: 373874
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.250.0-2.mga1
+ Revision: 27131
- mageia rebuild
- imported package perl-Test-Unit

